### Constructor

# Camel MimeFilterCharset new

#### Declaration [src]

    CamelMimeFilter*
    camel_mime_filter_charset_new (
      const gchar* from_charset,
      const gchar* to_charset
    )

#### Description [src]

Create a new `CamelMimeFilterCharset` object to convert text from `from_charset` to `to_charset`.

#### Parameters

`from_charset`

  Type: `const gchar*`

  Charset to convert from.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`to_charset`

  Type: `const gchar*`

  Charset to convert to.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `CamelMimeFilter`

A new `CamelMimeFilterCharset` object.

The caller of the function takes ownership of the data, and is responsible for freeing it.